osmo_earfcn_si2q Struct Reference

`#include <sysinfo.h>`

## Data Fields

uint16_t * | arfcn
uint8_t * | meas_bw
size_t | length
uint8_t | thresh_hi
uint8_t | thresh_lo
uint8_t | prio
uint8_t | qrxlm
bool | thresh_lo_valid
bool | prio_valid
bool | qrxlm_valid

## Field Documentation

## arfcn

uint16_t* osmo_earfcn_si2q::arfcn

Referenced by osmo_earfcn_add(), osmo_earfcn_bit_size_ext(), osmo_earfcn_del(), and osmo_earfcn_init().

## length

size_t osmo_earfcn_si2q::length

Referenced by osmo_earfcn_add(), osmo_earfcn_bit_size_ext(), osmo_earfcn_del(), and osmo_earfcn_init().

## meas_bw

uint8_t* osmo_earfcn_si2q::meas_bw

Referenced by osmo_earfcn_add(), osmo_earfcn_bit_size_ext(), osmo_earfcn_del(), and osmo_earfcn_init().

## prio

uint8_t osmo_earfcn_si2q::prio

## prio_valid

bool osmo_earfcn_si2q::prio_valid

Referenced by osmo_earfcn_bit_size_ext().

## qrxlm

uint8_t osmo_earfcn_si2q::qrxlm

## qrxlm_valid

bool osmo_earfcn_si2q::qrxlm_valid

Referenced by osmo_earfcn_bit_size_ext().

## thresh_hi

uint8_t osmo_earfcn_si2q::thresh_hi

## thresh_lo

uint8_t osmo_earfcn_si2q::thresh_lo

## thresh_lo_valid

bool osmo_earfcn_si2q::thresh_lo_valid

Referenced by osmo_earfcn_bit_size_ext().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/sysinfo.h